@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}

/*ロゴの横幅指定表示
 div.header-container-in.hlt-top-menu .logo-header img {
 height: auto;
 max-height: none;
 width: 310px;
}
*/
/*766px以上でロゴの横幅指定表示
@media screen and (min-width: 766px){
 div.header-container-in.hlt-top-menu .logo-header img {
 height: auto;
 max-height: none;
 width: 310px;
}*/


/*766px以下でロゴを消す
@media screen and (max-width: 766px){
	img.site-logo-image{
		visibility: hidden;
	}
}
*/
/*766px以下でモバイル用のロゴ表示
@media screen and (max-width: 766px){
	.logo-image span {
	  background-image: url(https://keiko-sensei.com/wp-content/uploads/2025/03/keiko_logo02m.png);
	  background-size: auto 30px;
	  background-position: center bottom;
	  background-size: cover;
	  background-repeat: no-repeat;
	  height: calc( ( 100vw - var( --scrollbar-width, 17px)) * 120 / 750);
	}
}
*/

/*フルスクリーン*/
.image-full {
	margin-right: calc(50% - 50vw);
	margin-left: calc(50% - 50vw);
}

.imageimage-full img {
	display: block;
	width: 100%;
	height: auto;
}


/*グローバルナビメニュー マウスオーバーでアンダーライン*/
#navi .navi-in a:after{
position: absolute;/*線の位置を絶対配置に*/
content: "";/*文字はなし*/
left: 0px;/*線の位置*/
bottom: 1px;/*線の位置*/
height: 1px;/*線の高さ*/
width: 100%;/*幅いっぱいに線を引く*/
background: #005b2d;/*線の色*/
transform: scale(0,1);/*マウスオーバーの前は線を消す*/
transition: 0.3s;/*線が0→100%になるまでの秒数*/
}

#navi .navi-in a:hover:after{
transform: scale(1);/*マウスオーバー後、線を100%出す*/
}

#navi .navi-in a:hover {
  background-color: #1189D3;
  transition: all 0.3s ease-in-out;
  color: #ffffff;
}
/*グローバルメニューの高さ
#navi .navi-in > ul li{
	height: 40px;
	line-height: 40px;
}*/

/* グローバルメニュー間の区切り
#navi .navi-in > ul > li{
  border-left: 1px solid #b3b3b3;
}

#navi .navi-in > ul > li:last-child{
  border-right: 1px solid #b3b3b3;
}

.navi-in > ul > .menu-item-has-children > a::after{
  right: 10px;
} 
*/
/* ヘッダーの現在のページのメニュー背景色を変える
#navi .current_page_item {
  background-color: rgb(196, 247, 247);
}
　*/

/* Full画面幅 */
.full-width {
	margin: 0 calc(50% - 50vw);
	padding: 0 calc(50vw - 50%);
	padding-top: 10px; /* 不要なら削除または、任意の数値を設定してください */
	padding-bottom: 10px; /* 不要なら削除または、任意の数値を設定してください */
}

/*---------------------------------
ボックス（白抜き）の枠の色と太さを変える
--------------------------------*/
.blank-box {border-width: 1px; border-color: #CCCCCC; margin-left: 0px; margin-right :0px;} /* 枠の太さと灰色の変更 */

.blank-box.bb-yellow {border-color: #FAB162; margin-left: 0px; margin-right :0px;} /* 黄色 */

.blank-box.bb-red {border-color: #FD8FA3; margin-left: 0px; margin-right :0px;} /* 赤色 */

.blank-box.bb-blue {border-color: #5FB3F5; margin-left: 0px; margin-right :0px;} /* 青色 */

.blank-box.bb-green {border-color: #95CE4B; margin-left: 0px; margin-right :0px;} /* 緑色 */

/* — コンタクトフォーム7　送信ボタンのカスタマイズ — */
input.wpcf7-submit {
padding:1em !important;/* ボタン内の余白 */
margin:2em 0em !important;/* ボタンの上下の余白 */
background-color: #1189d3 !important;/* 背景の色 */
border-radius: 5px !important;/* 角を丸く*/
color: #fff !important;/* 文字の色*/
font-size: 18px !important;/* 文字の大きさ */
font-weight: bold !important;/* 文字の太さ*/
width: 50%;/* ボタンの横幅*/
transition:0.5s;/* 背景色が変わるまでの時間*/
box-shadow: 2px 2px 2px 2px rgba(0,0,0,0.10);/* 薄っすらとボタンにドロップシャドウをかける*/
}

input.wpcf7-submit:hover {
background-color:#2991c8 !important;/* マウスを乗せたときの背景色 */
color: #fff !important;/* マウスを乗せたときの文字の色 */
}

div.wpcf7 .wpcf7-spinner {
    display: block;
}

.btn-submit {
    width: 100%;
    text-align: center;
}

/*ヘッダーを幅いっぱいに*/
.header-in {width: 100%;}
.header-in img {width: 100%;}
.logo-image span, .logo-image a {width: 100%;}
.logo-image, .logo-image a {padding: 0;}

/*766px以下でロゴを消
@media screen and (max-width: 766px){
	img.site-logo-image{
		visibility: hidden;
	}
}
す*/

/*766px以下でモバイル用のロゴ表示
@media screen and (max-width: 766px){
	.logo-image span {
	  background-image: url(https://keiko-sensei.com/wp-content/uploads/2025/02/KS_header01bm.jpg);
	  background-size: auto 30px;
	  background-position: center bottom;
	  background-size: cover;
	  background-repeat: no-repeat;
	  height: calc( ( 100vw - var( --scrollbar-width, 17px)) * 380 / 750);
	}
}
*/


/*グローバルメニューの高さ*/
#navi .navi-in > ul li{
	height: 40px;
	line-height: 40px;
}

/* グローバルメニュー間の区切り


#navi .navi-in > ul > li{
  border-left: 1px solid #000000;
}

#navi .navi-in > ul > li:last-child{
  border-right: 1px solid #000000;
}

.navi-in > ul > .menu-item-has-children > a::after{
  right: 10px;
} 
*/

/************************************
** ■見出しカスタマイズ（h1）
************************************/
.article h1,
.article h2,
.article h3,
.article h4,
.article h5,
.article h6{ /*見出し初期化*/
  padding: 0;
  margin: 0;
  font-size: medium;
  border-collapse: separate;
  border-spacing: 0;
  border-top: none;
  border-right: none;
  border-bottom: none;
  border-left: none;
  line-height: normal;
  position:relative;
}

.article h1{ /*見出し１（タイトル）カスタマイズ*/
  color: #333333; /* フォントカラー*/
  /*background: #007477; 背景カラー*/
  text-align: center; /*テキスト位置*/
  font-size: 26px; /*フォントサイズ*/
  letter-spacing: 1px; /*文字間隔*/
  margin: 20px -8px 20px -8px;
  padding: 9px 10px 9px 10px;
  border-radius: 10px; /*角の丸め*/
  line-height: 35px; /*高さ*/
  /* border-left: 10px solid #828f99; 左ラインの太さとカラー*/
  /*border-bottom: 1px solid #828f99; アンダーラインの太さとカラー*/
  }

.article h2{ /*見出し２カスタマイズ*/
  color: #333333; /* フォントカラー*/
  /*background: #029b9b; 背景カラー*/
  text-align: center; /*テキスト位置*/
  font-size: 24px; /*フォントサイズ*/
  letter-spacing: 1px; /*文字間隔*/
  margin: 15px -8px 20px -8px;
  padding: 10px 7px 10px 10px;
  border-radius: 10px; /*角の丸め*/
  line-height: 27px; /*高さ*/
  /* border-left: 8px solid #cccccc; 左ラインの太さとカラー*/
  /* border-bottom: 1px solid #cccccc; アンダーラインの太さとカラー*/
  }
  

.article h2 > img {
  position: relative;
  top: 4px;
}

.article h3{ /*見出し3カスタマイズ*/
  color: #333333; /* フォントカラー*/
  /*background: #44c1ca; 背景カラー*/
  text-align: center; /*テキスト位置*/
  font-size: 22px; /*フォントサイズ*/
  letter-spacing: 1px; /*文字間隔*/
  margin: 35px -8px 20px -8px;
  padding: 9px 7px 9px 10px;
  border-radius: 10px; /*角の丸め*/
  line-height: 25px; /*高さ*/
  /* border-left: 6px solid #dddddd; 左ラインの太さとカラー*/
  /* border-bottom: 1px solid #dddddd; アンダーラインの太さとカラー*/
  }

.article h3 > img {
  position: relative;
  top: 4px;
}

  
.article h4{ /*見出し4カスタマイズ*/
  color: #333333; /* フォントカラー*/
  /*background: #44c1ca; 背景カラー*/
  text-align: center; /*テキスト位置*/
  font-size: 20px; /*フォントサイズ*/
  letter-spacing: 1px; /*文字間隔*/
  margin: 35px -8px 20px -8px;
  padding: 8px 7px 8px 10px;
  border-radius: 10px; /*角の丸め*/
  line-height: 23px; /*高さ*/
  /* border-left: 4px solid #eaeaea; 左ラインの太さとカラー*/
  /* border-bottom: 1px solid #eaeaea; アンダーラインの太さとカラー*/
  }
  
.article h5{ /*見出し5カスタマイズ*/
  color: #333333; /* フォントカラー*/
  /*background: #f7f7f7; 背景カラー*/
  font-size: 18px; /*フォントサイズ*/
  letter-spacing: 1px; /*文字間隔*/
  margin: 35px -8px 20px -8px;
  padding: 5px 5px 5px 5px;
  border-left: 2px solid #f2f2f2; /*左ラインの太さとカラー*/
  line-height: 21px; /*高さ*/
  border-bottom: 1px solid #f2f2f2; /*アンダーラインの太さとカラー*/
  }
  
.article h6{ /*見出し6カスタマイズ*/
  color: #333333; /* フォントカラー*/
  /*background: #ffffff; 背景カラー*/
  font-size: 16px; /*フォントサイズ*/
  letter-spacing: 1px; /*文字間隔*/
  margin: 35px -8px 20px -8px;
  padding: 5px 5px 5px 5px;
  border-left: 1px solid #f7f7f7; /*左ラインの太さとカラー*/
  line-height: 19px; /*高さ*/
  border-bottom: 1px solid #f7f7f7; /*アンダーラインの太さとカラー*/
  }

.padding-0{
	padding: 0px;
}

/*全ページ共通*/

.entry-title {
display: none;
}

.content { 
margin-top: 0; 
}

.main {
padding-top:0px;
}

.entry-content {
margin-top:0px;
}

.video-container {
margin: 0px auto;
max-width: 100%;
}

.article .wp-block-image {
  margin-bottom: 0;
  line-height: 0;
}

.tagline{
   display:none;
}

.site-name-text {
display: none;
}

/*---------------------------------
カラムのスマホ表示で逆にする
--------------------------------*/
@media screen and (max-width: 599px) {
  .inverted {
    flex-direction:column-reverse!important;
  }
}
/*---------------------------------
 イメージに影をつける
--------------------------------*/
.shadow_img {
    box-shadow: 3px 3px 15px -5px #000;
}

.grecaptcha-badge { visibility: hidden; }

/*---------------------------------
ロゴの上下のすき間を消す
--------------------------------*/
.logo-image {
  padding: 0;
}


.logo-image span, .logo-image a {
display: block;
padding: 0
}


/*---------------------------------
 * 固定ページのみ投稿日を非表示 
--------------------------------*/
.page .date-tags {
display: none;
}

/*---------------------------------
 * フッター余白を少なく
--------------------------------*/

main#main {
  border:0;
  padding-bottom:0;
}
 
.body .article {
  margin-bottom: 0;
}
 
.entry-content {
  margin-bottom: 0;
}
 
footer#footer {
  margin-top: 0;
}

/*---------------------------------
 * ロゴの高さ
--------------------------------*/
.header-container-in.hlt-top-menu .logo-header {
	max-height: 80px!important;
}

.header-container-in.hlt-top-menu .logo-header img {
   max-height: 80px;
}

#header {
   flex-shrink: 0;
}


/*---------------------------------
コンテンツの左右のマージンを消す

main {
padding: 0!important;
}
--------------------------------*/


/*---------------------------------
背景色変更
--------------------------------*/
.content-in .main {
    background-color: #f2f2f2;
}